%define prerel 0

%define qtmajor 5
%define qtminor 4
%define qtsubminor 2
%define major 5

%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtwebchannel %mklibname qtwebchannel %qtmajor
%define libqtwebchannel_d %mklibname qt5webchannel -d
%define libqtwebchannel_p_d %mklibname qt5webchannel-private  -d

%if %prerel
%define qttarballdir qtwebchannel-opensource-src-%{qtversion}-RC
%else
%define qttarballdir qtwebchannel-opensource-src-%{qtversion}
%endif

Name: qtwebchannel5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: The Qt WebChannel module provides a library for seamless integration of C++ and QML applications with HTML/JavaScript clients
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel >= %version
BuildRequires: qt5quick-devel >= %version
BuildRequires: qtcore5-private-devel >= %version


#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
The Qt WebChannel module offers Qt applications a seamless way to publish QObjects 
for interaction with HTML/JavaScript clients. These clients can either be inside local 
Qt WebViews or any other, potentially remote, client which supports JavaScript, as long 
as a communication channel such as WebSocket is available.

Qt WebChannel uses introspection on the QObjects and sends this serialized data to the clients. 
There, with the help of a small JavaScript library, an object is created which simulates the API 
of the QObject. Any invokable methods, including slots, can be called as well as properties read 
and written. Additionally you can connect to signals and register JavaScript callbacks as handlers.

%files
%_qt5_qml/QtWebChannel
%_qt5_examplesdir/qwebchannel
%_qt5_examplesdir/webchannel

#------------------------------------------------------------------------------

%package -n %{libqtwebchannel}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries

%description -n %{libqtwebchannel}
Qt%{qtmajor} Component Library.

%files -n %{libqtwebchannel}
%{_qt5_libdir}/libQt5WebChannel.so.%{major}*

#------------------------------------------------------------------------------

%package -n %{libqtwebchannel_d}
Summary: Devel files needed to build apps based on %name
Group:    Development/KDE and Qt
Requires: %{libqtwebchannel} = %version
Provides: libqtwebchannel5-devel = %version
Provides: libqt5webchannel-devel = %version
Provides: qtwebchannel5-devel = %version
Provides: qt5webchannel-devel = %version

%description -n %{libqtwebchannel_d}
Devel files needed to build apps based on %name

%files -n %{libqtwebchannel_d}
%{_qt5_libdir}/libQt5WebChannel.so
%{_qt5_libdir}/libQt5WebChannel.prl
%{_qt5_libdir}/pkgconfig/Qt5WebChannel.pc
%{_qt5_includedir}/QtWebChannel
%exclude %{_qt5_includedir}/QtWebChannel/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_webchannel.pri
%{_qt5_libdir}/cmake/Qt5WebChannel

#------------------------------------------------------------------------------

%package -n %{libqtwebchannel_p_d}
Summary: Devel files needed to build apps based on %name
Group:    Development/KDE and Qt

Requires: %{libqtwebchannel_d} = %version

Provides: libqtwebchannel-private-devel = %version
Provides: libqtwebchannel5-private-devel = %version
Provides: libqt5webchannel-private-devel = %version
Provides: qtwebchannel-private-devel = %version
Provides: qt5webchannel-private-devel = %version

Requires: qt5core-private-devel = %version
Requires: qt5script-private-devel = %version

%description -n %{libqtwebchannel_p_d}
Devel files needed to build apps based on %name

%files -n %{libqtwebchannel_p_d}
%{_qt5_includedir}/QtWebChannel/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_webchannel_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir
#apply_patches

%build
%qmake_qt5
%make

#------------------------------------------------------------------------------

%install
%qmakeinstall_std

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a



%changelog
* Wed Jul 01 2015 filipesaraiva <filipesaraiva> 5.4.2-1.mga5
+ Revision: 849368
- Update to Qt 5.4.2;
- Fix URL to new address qt.io;

* Tue Dec 23 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 804997
- imported package qtwebchannel5

